## golang-github-notaryproject-notation 1.3.2

=== Makefile ===
# Copyright The Notary Project Authors.
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

MODULE         = github.com/notaryproject/notation
COMMANDS       = notation
GIT_TAG        = $(shell git describe --tags --abbrev=0 --exact-match 2>/dev/null)
GIT_COMMIT     = $(shell git rev-parse HEAD)

# if the commit was tagged, BuildMetadata is empty.
ifndef BUILD_METADATA
	BUILD_METADATA := unreleased
endif

ifneq ($(GIT_TAG),)
	BUILD_METADATA := 
endif

# set flags
LDFLAGS := -w \
 -X $(MODULE)/internal/version.GitCommit=$(GIT_COMMIT) \
 -X $(MODULE)/internal/version.BuildMetadata=$(BUILD_METADATA)

GO_BUILD_FLAGS = --ldflags="$(LDFLAGS)"

.PHONY: help
help:
	@grep -E '^[a-zA-Z0-9_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-25s\033[0m %s\n", $$1, $$2}'

.PHONY: all
all: build

.PHONY: FORCE
FORCE:

bin/%: cmd/% FORCE
	go build $(GO_INSTRUMENT_FLAGS) $(GO_BUILD_FLAGS) -o $@ ./$<

.PHONY: download
download: ## download dependencies via go mod
	go mod download

.PHONY: build
build: $(addprefix bin/,$(COMMANDS)) ## builds binaries

.PHONY: test
test: vendor check-line-endings ## run unit tests
	go test -race -v -coverprofile=coverage.txt -covermode=atomic ./...


.PHONY: e2e
e2e: build ## build notation cli and run e2e test
	NOTATION_BIN_PATH=`pwd`/bin/$(COMMANDS); \
	cd ./test/e2e; \
	./run.sh zot $$NOTATION_BIN_PATH; \

.PHONY: e2e-covdata
e2e-covdata:
	export GOCOVERDIR=$(CURDIR)/test/e2e/.cover; \
	rm -rf $$GOCOVERDIR; \
	mkdir -p $$GOCOVERDIR; \
	export GO_INSTRUMENT_FLAGS='-coverpkg "github.com/notaryproject/notation/internal/...,github.com/notaryproject/notation/pkg/...,github.com/notaryproject/notation/cmd/..."'; \
	$(MAKE) e2e && go tool covdata textfmt -i=$$GOCOVERDIR -o "$(CURDIR)/test/e2e/coverage.txt"

.PHONY: clean
clean:
	git status --ignored --short | grep '^!! ' | sed 's/!! //' | xargs rm -rf

.PHONY: check-line-endings
check-line-endings: ## check line endings
	! find cmd pkg internal -name "*.go" -type f -exec file "{}" ";" | grep CRLF

.PHONY: fix-line-endings
fix-line-endings: ## fix line endings
	find cmd pkg internal -type f -name "*.go" -exec sed -i -e "s/\r//g" {} +

.PHONY: vendor
vendor: ## vendores the go modules
	GO111MODULE=on go mod vendor

.PHONY: install
install: install-notation ## install the notation cli

.PHONY: install-notation
install-notation: bin/notation ## installs the notation cli
	mkdir -p ~/bin
	cp $< ~/bin/

.PHONY: install-docker-%
install-docker-%: bin/docker-%
	cp $< ~/.docker/cli-plugins/

## golang-github-notaryproject-notation 1.2.0

=== debian/changelog ===
golang-github-notaryproject-notation (1.2.0-5) experimental; urgency=medium

  * Bump dependencies for CVE-2024-56138, Closes: #1094409

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 01 Jun 2025 15:01:54 -0400

golang-github-notaryproject-notation (1.2.0-4) unstable; urgency=medium

  * No-change upload to help testing migration, Closes: #1089751

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 25 Dec 2024 20:38:41 -0500

golang-github-notaryproject-notation (1.2.0-3) unstable; urgency=medium

  * debian/copyright: Mention the Oras authors

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 19 Dec 2024 16:04:58 -0500

golang-github-notaryproject-notation (1.2.0-2) unstable; urgency=medium

  * Add e2e autopkgtests
  * Adjust Error signature when running on Debian

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 18 Dec 2024 11:48:39 -0500

golang-github-notaryproject-notation (1.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #1089751)

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 12 Dec 2024 05:43:18 -0500

=== debian/control ===
Source: golang-github-notaryproject-notation
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Reinhard Tartler <siretart@tauware.de>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-github-go-ldap-ldap-dev,
 golang-github-notaryproject-notation-core-go-dev (>> 1.1.0-7~),
 golang-github-notaryproject-notation-go-dev (>> 1.2.1-5~),
 golang-github-notaryproject-tspclient-go-dev,
 golang-github-onsi-ginkgo-v2-dev,
 golang-github-opencontainers-go-digest-dev,
 golang-github-opencontainers-image-spec-dev,
 golang-github-spf13-cobra-dev,
 golang-github-spf13-pflag-dev,
 golang-golang-x-net-dev,
 golang-golang-x-term-dev,
 golang-logrus-dev
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-notaryproject-notation
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-notaryproject-notation.git
Homepage: https://github.com/notaryproject/notation
XS-Go-Import-Path: github.com/notaryproject/notation

Package: golang-github-notaryproject-notation-dev
Architecture: all
Multi-Arch: foreign
Depends:
 golang-github-go-ldap-ldap-dev,
 golang-github-notaryproject-notation-core-go-dev (>> 1.1.0-7~),
 golang-github-notaryproject-notation-go-dev (>> 1.2.1-5~),
 golang-github-notaryproject-tspclient-go-dev,
 golang-github-opencontainers-go-digest-dev,
 golang-github-opencontainers-image-spec-dev,
 golang-github-spf13-cobra-dev,
 golang-github-spf13-pflag-dev,
 golang-golang-x-net-dev,
 golang-golang-x-term-dev,
 golang-logrus-dev,
 ${misc:Depends}
Description: CLI tool to sign and verify artifacts (library)
 Notation is a CLI project to add signatures as standard items in the OCI
 registry ecosystem, and to build a set of simple tooling for signing and
 verifying these signatures. This should be viewed as similar security to
 checking git commit signatures, although the signatures are generic and
 can be used for additional purposes.

Package: notation
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Built-Using:
 ${misc:Built-Using}
Description: CLI tool to sign and verify artifacts (program)
 Notation is a CLI project to add signatures as standard items in the OCI
 registry ecosystem, and to build a set of simple tooling for signing and
 verifying these signatures. This should be viewed as similar security to
 checking git commit signatures, although the signatures are generic and
 can be used for additional purposes.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := notation/test/e2e

%:
	dh $@ --builddirectory=_build --buildsystem=golang

## golang-github-notaryproject-notation 1.3.2

=== debian/changelog ===
golang-github-notaryproject-notation (1.3.2-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Use watch v5, pin at v1.
  * New upstream version 1.3.2
  * Drop Rules-Requires-Root: no.
  * Standards-Version: 4.7.2.
  * Refresh patches.
  * Improve Description:'s.
  * Silence debian-watch-file-pubkey-file-is-missing.
  * Add Static-Built-Using:.
  * Improve description and forwarded for tests-e2e-adjust.patch.
  * Bump debian/* copyright years.
  * Add man page via help2man.
  * Don't use obsolete golang-logrus-dev.

 -- Simon Josefsson <simon@josefsson.org>  Sat, 01 Nov 2025 13:37:06 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders:
  Reinhard Tartler <siretart@tauware.de>
-Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-golang,
@@ -16,13 +15,14 @@
  golang-github-onsi-ginkgo-v2-dev,
  golang-github-opencontainers-go-digest-dev,
  golang-github-opencontainers-image-spec-dev,
+ golang-github-sirupsen-logrus-dev,
  golang-github-spf13-cobra-dev,
  golang-github-spf13-pflag-dev,
  golang-golang-x-net-dev,
  golang-golang-x-term-dev,
- golang-logrus-dev
+ help2man <!nodoc>,
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-notaryproject-notation
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-notaryproject-notation.git
 Homepage: https://github.com/notaryproject/notation
@@ -38,11 +38,11 @@
  golang-github-notaryproject-tspclient-go-dev,
  golang-github-opencontainers-go-digest-dev,
  golang-github-opencontainers-image-spec-dev,
+ golang-github-sirupsen-logrus-dev,
  golang-github-spf13-cobra-dev,
  golang-github-spf13-pflag-dev,
  golang-golang-x-net-dev,
  golang-golang-x-term-dev,
- golang-logrus-dev,
  ${misc:Depends}
 Description: CLI tool to sign and verify artifacts (library)
  Notation is a CLI project to add signatures as standard items in the OCI
@@ -50,6 +50,8 @@
  verifying these signatures. This should be viewed as similar security to
  checking git commit signatures, although the signatures are generic and
  can be used for additional purposes.
+ .
+ This package contains the Go source code.
 
 Package: notation
 Architecture: any
@@ -58,9 +60,13 @@
  ${shlibs:Depends}
 Built-Using:
  ${misc:Built-Using}
+Static-Built-Using:
+ ${misc:Static-Built-Using}
 Description: CLI tool to sign and verify artifacts (program)
  Notation is a CLI project to add signatures as standard items in the OCI
  registry ecosystem, and to build a set of simple tooling for signing and
  verifying these signatures. This should be viewed as similar security to
  checking git commit signatures, although the signatures are generic and
  can be used for additional purposes.
+ .
+ This package contains the command-line tool 'notation'.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk # DEB_VERSION

export DH_GOLANG_EXCLUDES := notation/test/e2e

%:
	dh $@ --builddirectory=_build --buildsystem=golang

B = $(CURDIR)/debian/tmp/usr/bin
M = $(CURDIR)/debian/tmp/usr/share/man/man1

ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
execute_before_dh_installman-arch:
	mkdir -pv $(M)
	help2man --version-string="$(DEB_VERSION)" \
		--no-info \
		--name="a tool to sign and verify artifacts" \
		--output $(M)/notation.1 \
		$(B)/notation
endif

=== debian/tests/control ===
Tests: e2e
Depends: @, @builddeps@, docker.io, docker-cli, ginkgo, ca-certificates
Restrictions: allow-stderr, needs-internet, isolation-machine, rw-build-tree, needs-sudo

=== debian/watch ===
Version: 5
Source: https://api.github.com/repos/notaryproject/notation/git/matching-refs/tags/
Matching-Pattern: https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/v(1[0-9.]+)
Download-Url-Mangle: s%(api.github.com/repos/[^/]+/[^/]+)/git/refs/%$1/tarball/refs/%g
Filename-Mangle: s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%
Search-Mode: plain
